> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitheo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 運行工作流

> 手動觸發一次工作流運行。

手動觸發一次工作流運行，可選擇性傳入覆蓋數據。

## 身份驗證

需要 Bearer 令牌。參見[身份驗證](/api-reference/authentication)。

## 路徑參數

<ParamField path="id" type="string" required>
  工作流的 UUID。
</ParamField>

## 請求體

<ParamField body="triggerData" type="object">
  傳遞給工作流各步驟的可選覆蓋數據（例如 `{ "overridePrompt": "Focus on enterprise deals" }`）。
</ParamField>

## 請求示例

<CodeGroup>
  ```bash curl theme={null}
  curl -X POST https://www.hitheo.ai/api/v1/workflows/wf_abc123/run \
    -H "Authorization: Bearer $THEO_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{"triggerData": {"overridePrompt": "Focus on enterprise deals this week"}}'
  ```

  ```typescript SDK theme={null}
  const run = await theo.triggerWorkflow("wf_abc123", {
    overridePrompt: "Focus on enterprise deals this week",
  });
  ```
</CodeGroup>

## 響應

<ResponseField name="run" type="object">
  工作流運行對象，包含 `id`、`status`、`startedAt` 以及各步驟的執行結果。
</ResponseField>

## 端點

`POST /api/v1/workflows/{id}/run`

需要通過 Bearer 令牌進行身份驗證。參見[身份驗證](/api-reference/authentication)。


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.